b2sum(1)

NAME
b2sum - Print or check the BLAKE2b checksums

SYNOPSIS
b2sum [-c|--check] [-w|--warn] [--status] [--quiet] [--ignore-missing] [--strict] [-l|--length] [--tag] [-t|--text] [-z|--zero] [-h|--help] [-V|--version] [file]

DESCRIPTION
Print or check the BLAKE2b checksums

OPTIONS

-c, --check
    ck-common-help-check

-w, --warn
    ck-common-help-warn

--status
    ck-common-help-status

--quiet
    ck-common-help-quiet

--ignore-missing
    ck-common-help-ignore-missing

--strict
    ck-common-help-strict

-l, --length
    ck-common-help-length

--tag
    ck-common-help-tag

-t, --text
    ck-common-help-text

-z, --zero
    ck-common-help-zero

-h, --help
    Print help

-V, --version
    Print version

EXTRA
## Examples Calculate the BLAKE2 checksum for one or more files: b2sum {{path/to/file1 path/to/file2 ...}} Calculate and save the list of BLAKE2 checksums to a file: b2sum {{path/to/file1 path/to/file2 ...}} > {{path/to/file.b2}} Calculate a BLAKE2 checksum from `stdin`: {{command}} | b2sum Read a file of BLAKE2 checksums and filenames and verify all files have matching checksums: b2sum {{[-c|--check]}} {{path/to/file.b2}} Only show a message for missing files or when verification fails: b2sum {{[-c|--check]}} --quiet {{path/to/file.b2}} Only show a message when verification fails, ignoring missing files: b2sum --ignore-missing {{[-c|--check]}} --quiet {{path/to/file.b2}} Check a known BLAKE2 checksum of a file: echo {{known_blake2_checksum_of_the_file}} {{path/to/file}} | b2sum {{[-c|--check]}} > The examples are provided by the [tldr-pages project](https://tldr.sh) under the [CC BY 4.0 License](https://github.com/tldr-pages/tldr/blob/main/LICENSE.md). > > Please note that, as uutils is a work in progress, some examples might fail.

VERSION
v(uutils coreutils) 0.6.0